Bug Hunting Session
Bug 53456 - FILEOPEN PIVOTTABLE failed to load source data when it contains formula cells (from xlsx)
Summary: FILEOPEN PIVOTTABLE failed to load source data when it contains formula cells...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.7.0 target:3.6.1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-13 20:09 UTC by Kohei Yoshida
Modified: 2012-08-23 00:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
very simple test document (11.10 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-08-13 20:09 UTC, Kohei Yoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2012-08-13 20:09:38 UTC
Created attachment 65514 [details]
very simple test document

1) Open the attached xlsx document.

2) Under the Category you see the '(empty)' label.  But it's supposed to show 'A'.

For reasons not yet known, during xlsx import, the pivot cache initialization code fails to fetch correct values from formula cells, which causes the '(empty)' label to be shown for all formula cells.
Comment 1 Kohei Yoshida 2012-08-13 20:10:48 UTC
I'll look into this.
Comment 2 Not Assigned 2012-08-13 21:14:21 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae296a60781a2b5d5b7523cbda3444e3dd21506f

fdo#53456: initialize pivot tables *after* the formula cells.
Comment 3 Not Assigned 2012-08-14 12:26:02 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0eeab7204ac244bebb0f8c4d8a8891037423534a&g=libreoffice-3-6

fdo#53456: initialize pivot tables *after* the formula cells.


It will be available in LibreOffice 3.6.1.
Comment 4 Kohei Yoshida 2012-08-23 00:26:28 UTC
Now this is fixed.